{
  "schema_version": "1.4.0",
  "id": "GHSA-j677-36rf-54pg",
  "modified": "2022-05-13T01:23:13Z",
  "published": "2022-05-13T01:23:13Z",
  "aliases": [
    "CVE-2014-3144"
  ],
  "details": "The (1) BPF_S_ANC_NLATTR and (2) BPF_S_ANC_NLATTR_NEST extension implementations in the sk_run_filter function in net/core/filter.c in the Linux kernel through 3.14.3 do not check whether a certain length value is sufficiently large, which allows local users to cause a denial of service (integer underflow and system crash) via crafted BPF instructions.  NOTE: the affected code was moved to the __skb_get_nlattr and __skb_get_nlattr_nest functions before the vulnerability was announced.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-3144"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/05ab8f2647e4221cbdb3856dd7d32bd5407316b3"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git%3Ba=commit%3Bh=05ab8f2647e4221cbdb3856dd7d32bd5407316b3"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=05ab8f2647e4221cbdb3856dd7d32bd5407316b3"
    },
    {
      "type": "WEB",
      "url": "http://linux.oracle.com/errata/ELSA-2014-3052.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/58990"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/59311"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/59597"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/60613"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2014/dsa-2949"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2014/05/09/6"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/67309"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2251-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2252-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2259-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2261-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2262-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2263-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2264-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-05-11T21:55:00Z"
  }
}